# Monetary Policy and Corporate Debt Structure

Code to replicate Lhuissier and Szczerbowicz's "Monetary Policy and Corporate Debt Structure", forthcoming at Oxford Bulletin of Economics and Statistics

## Requirements

[Matlab](https://mathworks.com) and its statistics toolbox.

## Estimation

Run "run_mainfile.m" to generate the main results.

## Procedure

Line 12, choose "conventional" or "unconventional" monetary policy. 

Line 13, choose your debt variable among the following:
- DEBTSECURITIES: total debt securities
- COMMERCIALPAPER: commercial paper (subcategory of debt securities) 
- MUNICIPALSECURITIES: municipal securities (subcategory of debt securities) 
- CORPORATEBONDS: corporate bonds (subcategory of debt securities) 
- LOANS: total loans to non-financial corporate sector
- BANKLOANS: depository institution loans not elsewhere classified (subcategory of total loans) 
- OTHERLOANS: other loans and advances (subcategory of total loans) 
- MORTGAGES: mortgage loans (subcategory of total loans) 

You can also choose to replace the debt variable by the following yields and spreads to replicate Figure 6:
- BAA: Moody’s Seasoned Baa Corporate FRED Economic Data Bond Yield
- AAA: Moody’s Seasoned Aaa Corporate FRED Economic Data Bond Yield
- BAAAAA: BAA-AAA spread
- MORT10: 30-year mortgage spread (i.e., the difference between the 30-year mortgage rate and the 10-year government bond rate)
- SP_CORPSOV_I: Intermediate-term corporate spread over the relevant Treasury bond yield
- SP_CORPSOV_L: Long-term corporate spread over the relevant Treasury bond yield
- SP_CORPOL_LS: Long-short corporate spread (i.e., difference between the long-term corporate yield and the 3-month commercial paper interest rate)
- SP_LONG: Long-term BAA-AAA spread
- SP_INTER: Intermediate-term BAA-AAA spread

## Dataset
Folder "data" contains the dataset. The overall sample is January 1990 to December 2015.

## Library
Folder "library" contains all other Matlab functions. The "fn_impulse.m" function comes from [Tao Zha](http://www.tzha.net/code/ZhaMatlabLibrary.zip)'s library.
